Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Table

    java.lang.Object
      |
      +--org.hsqldb.Table

class Table
extends Object

Field Summary
`(package private) org.hsqldb.Cache` | `cCache`
`(package private) java.util.Vector[]` | `vTrigs`

Constructor Summary
`(package private)` | `Table(org.hsqldb.Database , boolean , java.lang.String , boolean )`

Method Summary
`(package private) void` | `addColumn(java.lang.String , int )`
`(package private) void` | `addColumn(org.hsqldb.Column )`
`(package private) void` | `addColumn(java.lang.String , int , boolean , boolean )`
`(package private) void` | `addColumns(org.hsqldb.Result )`
`(package private) void` | `addConstraint(org.hsqldb.Constraint )`
`(package private) void` | `addTrigger(org.hsqldb.TriggerDef )`
`(package private) void` | `checkDropIndex(java.lang.String )`
`(package private) void` | `checkUpdate(int[] , org.hsqldb.Result , org.hsqldb.Result )`
`(package private) void` | `createIndex(org.hsqldb.Index )`
`(package private) void` | `createIndex(int[] , java.lang.String , boolean )`
`(package private) void` | `createPrimaryKey(int )`
`(package private) void` | `createPrimaryKey()`
`(package private) void` | `delete(java.lang.Object[] , org.hsqldb.Channel )`
`(package private) void` | `deleteNoCheck(java.lang.Object[] , org.hsqldb.Channel )`
`(package private) void` | `deleteNoCheck(java.lang.Object[] , org.hsqldb.Channel , boolean )`
`(package private) void` | `fireAll(int , java.lang.Object[] )`
`(package private) void` | `fireAll(int )`
`(package private) org.hsqldb.Column` | `getColumn(int )`
`(package private) int` | `getColumnCount()`
`(package private) boolean` | `getColumnIsNullable(int )`
`(package private) java.lang.String` | `getColumnName(int )`
`(package private) int` | `getColumnNr(java.lang.String )`
`(package private) int` | `getColumnType(int )`
`(package private) java.util.Vector` | `getConstraints()`
`(package private) int` | `getIdentityColumn()`
`(package private) org.hsqldb.Index` | `getIndex(java.lang.String )`
`(package private) int` | `getIndexCount()`
`(package private) org.hsqldb.Index` | `getIndexForColumn(int )`
`(package private) org.hsqldb.Index` | `getIndexForColumns(int[] )`
`(package private) java.lang.String` | `getIndexRoots()`
`(package private) java.lang.String` | `getInsertStatement(java.lang.Object[] )`
`(package private) int` | `getInternalColumnCount()`
`(package private) java.lang.String` | `getName()`
`(package private) java.lang.Object[]` | `getNewRow()`
`(package private) org.hsqldb.Index` | `getNextIndex(org.hsqldb.Index )`
`(package private) org.hsqldb.Index` | `getPrimaryIndex()`
`(package private) int` | `getType(int )`
`(package private) void` | `insert(org.hsqldb.Result , org.hsqldb.Channel )`
`(package private) void` | `insert(java.lang.Object[] , org.hsqldb.Channel )`
`(package private) void` | `insertNoCheck(java.lang.Object[] , org.hsqldb.Channel )`
`(package private) void` | `insertNoCheck(java.lang.Object[] , org.hsqldb.Channel , boolean )`
`(package private) boolean` | `isCached()`
`(package private) boolean` | `isEmpty()`
`(package private) void` | `moveData(org.hsqldb.Table )`
`(package private) org.hsqldb.Table` | `moveDefinition(java.lang.String )`
`(package private) int` | `searchColumn(java.lang.String )`
`(package private) void` | `setIndexRoots(java.lang.String )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### cCache

    org.hsqldb.Cache cCache

### vTrigs

    java.util.Vector[] vTrigs

Constructor Detail

### Table

    Table(org.hsqldb.Database , boolean , java.lang.String , boolean )

Method Detail

### addColumn

    void addColumn(java.lang.String , int )

### addColumn

    void addColumn(org.hsqldb.Column )

### addColumn

    void addColumn(java.lang.String , int , boolean , boolean )

### addColumns

    void addColumns(org.hsqldb.Result )

### addConstraint

    void addConstraint(org.hsqldb.Constraint )

### addTrigger

    void addTrigger(org.hsqldb.TriggerDef )

### checkDropIndex

    void checkDropIndex(java.lang.String )

### checkUpdate

    void checkUpdate(int[] , org.hsqldb.Result , org.hsqldb.Result )

### createIndex

    void createIndex(org.hsqldb.Index )

### createIndex

    void createIndex(int[] , java.lang.String , boolean )

### createPrimaryKey

    void createPrimaryKey(int )

### createPrimaryKey

    void createPrimaryKey()

### delete

    void delete(java.lang.Object[] , org.hsqldb.Channel )

### deleteNoCheck

    void deleteNoCheck(java.lang.Object[] , org.hsqldb.Channel )

### deleteNoCheck

    void deleteNoCheck(java.lang.Object[] , org.hsqldb.Channel , boolean )

### fireAll

    void fireAll(int , java.lang.Object[] )

### fireAll

    void fireAll(int )

### getColumn

    org.hsqldb.Column getColumn(int )

### getColumnCount

    int getColumnCount()

### getColumnIsNullable

    boolean getColumnIsNullable(int )

### getColumnName

    java.lang.String getColumnName(int )

### getColumnNr

    int getColumnNr(java.lang.String )

### getColumnType

    int getColumnType(int )

### getConstraints

    java.util.Vector getConstraints()

### getIdentityColumn

    int getIdentityColumn()

### getIndex

    org.hsqldb.Index getIndex(java.lang.String )

### getIndexCount

    int getIndexCount()

### getIndexForColumn

    org.hsqldb.Index getIndexForColumn(int )

### getIndexForColumns

    org.hsqldb.Index getIndexForColumns(int[] )

### getIndexRoots

    java.lang.String getIndexRoots()

### getInsertStatement

    java.lang.String getInsertStatement(java.lang.Object[] )

### getInternalColumnCount

    int getInternalColumnCount()

### getName

    java.lang.String getName()

### getNewRow

    java.lang.Object[] getNewRow()

### getNextIndex

    org.hsqldb.Index getNextIndex(org.hsqldb.Index )

### getPrimaryIndex

    org.hsqldb.Index getPrimaryIndex()

### getType

    int getType(int )

### insert

    void insert(org.hsqldb.Result , org.hsqldb.Channel )

### insert

    void insert(java.lang.Object[] , org.hsqldb.Channel )

### insertNoCheck

    void insertNoCheck(java.lang.Object[] , org.hsqldb.Channel )

### insertNoCheck

    void insertNoCheck(java.lang.Object[] , org.hsqldb.Channel , boolean )

### isCached

    boolean isCached()

### isEmpty

    boolean isEmpty()

### moveData

    void moveData(org.hsqldb.Table )

### moveDefinition

    org.hsqldb.Table moveDefinition(java.lang.String )

### searchColumn

    int searchColumn(java.lang.String )

### setIndexRoots

    void setIndexRoots(java.lang.String )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD